@ECHO OFF
REM REDBL.BAT - Version 4.00.100
REM Copyright 1993-94, Stac Electronics

CLS
ECHO.
ECHO REDBL.BAT
ECHO.
echo Cela ne doit ˆtre fait que si vous soup‡onnez que le fichier DBLSPACE.BIN,
echo reconnaissant la pr‚sence de Stacker, manque, est endommag‚ ou
echo accidentellement remplac‚ par le fichier DBLSPACE.BIN ‚quivalent de DOS 6.
ECHO.

IF NOT "%1"=="" GOTO CHECK1
ECHO.
echo Retapez la commande suivie de la lettre de l'unit‚ o— vous souhaitez copier
echo DBLSPACE.BIN. Par exemple: REDBL C:
GOTO END

:CHECK1
SET SSRC=
IF EXIST DBLSPACE.BAK GOTO CHECK3
SET SSRC=
IF EXIST %SSRC%STACLOAD.BIN IF EXIST %SSRC%STACKER.COM GOTO CHECK3
SET SSRC=\
IF EXIST %SSRC%STACLOAD.BIN IF EXIST %SSRC%STACKER.COM GOTO CHECK3
SET SSRC=\STACKER\
IF EXIST %SSRC%STACLOAD.BIN IF EXIST %SSRC%STACKER.COM GOTO CHECK3

ECHO.
echo REDBL.BAT ne trouve pas l'un de ses fichiers pilote. Essayez d'ex‚cuter
echo REDBL %1 depuis la disquette Stacker num‚ro 1.
GOTO END

:CHECK3
IF NOT EXIST %1\DBLSPACE.BIN GOTO CHECK6
IF EXIST \TOOLS\SATTRIB.EXE GOTO CHECK5
SET ASRC=C:\DOS\
IF EXIST %ASRC%ATTRIB.EXE GOTO CHECK4
SET ASRC=
IF EXIST %ASRC%ATTRIB.EXE GOTO CHECK4
GOTO DEL-FAIL

:CHECK4
IF EXIST %ASRC%ATTRIB.EXE %ASRC%ATTRIB.EXE -A -R -S -H %1\DBLSPACE.BIN
GOTO DEL-FILE

:CHECK5
\TOOLS\SATTRIB.EXE -A -R -S -H %1\DBLSPACE.BIN

:DEL-FILE
DEL %1\DBLSPACE.BIN
IF NOT EXIST %1\DBLSPACE.BIN GOTO CHECK6

:DEL-FAIL
ECHO.
echo REDBL.BAT n'a pas pu ‚liminer le fichier DBLSPACE.BIN pr‚sent dans l'unit‚
echo %1. V‚rifiez que ATTRIB.EXE est pr‚sent dans C:\DOS ou dans le chemin
echo d'accŠs avant de retenter cette op‚ration.
ECHO.
GOTO END

:CHECK6
ECHO.
ECHO   ATTENTION: mise … jour du fichier DBLSPACE.BIN...
ECHO.
PAUSE
IF EXIST DBLSPACE.BAK GOTO USE-BACKUP
COPY /B %SSRC%STACLOAD.BIN+%SSRC%STACKER.COM %1\DBLSPACE.BIN
IF EXIST %1\DBLSPACE.BIN GOTO OK

:USE-BACKUP
COPY DBLSPACE.BAK %1\DBLSPACE.BIN
IF EXIST %1\DBLSPACE.BIN GOTO OK
GOTO CHECK7

:CHECK7
ECHO   Erreur: REDBL.BAT n'a pas pu cr‚‚r le fichier DBLSPACE.BIN.
ECHO.
echo   L'unit‚ choisie est pleine ou endommag‚e.
echo   Contr“lez l'unit‚ %1 et ex‚cutez REDBL %1 … nouveau.
ECHO.
GOTO END

:OK
ECHO.
echo   DBLSPACE.BIN "reconnaissant" Stacker a ‚t‚ cr‚e sur l'unit‚ %1.
echo   R‚amorcez votre ordinateur afin que le nouveau pilote de 
echo   de p‚riph‚rique soit activ‚.
ECHO.

:END
